Bug 1700885 - Feature gate machine healthcheck controller and disable it by default
Summary: Feature gate machine healthcheck controller and disable it by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Jan Chaloupka
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-17 14:42 UTC by Jan Chaloupka
Modified: 2019-06-17 06:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:50 UTC

Description Jan Chaloupka 2019-04-17 14:42:41 UTC
Machine health checking controller is still an experimental. Thus, it needs to be disabled by default. Yet, users still need to have a way to enable it and experiment.

Comment 1 Jan Chaloupka 2019-04-17 14:53:37 UTC
WIP: https://github.com/openshift/machine-api-operator/pull/291

Comment 4 Jianwei Hou 2019-04-24 09:43:30 UTC
Tested in 4.1.0-0.nightly-2019-04-23-223857

Run `oc describe pod machine-api-controllers-885cf46b9-68ldv`, it has 3 containers: controller-manager, machine-controller, nodelink-controller. We don't have machine-heathcheck by default.

The way to enable machine-healthcheck is by creating a feature gate

```
apiVersion: config.openshift.io/v1
kind: FeatureGate
metadata:
  name: machine-api
spec:
  featureSet: TechPreviewNoUpgrade 
```

Then a new machine-api-controllers pod will be created under openshift-machine-api namespace. It has a machine-healthcheck-controller container.

This bug can be verified once it's ON_QA.

Comment 7 errata-xmlrpc 2019-06-04 10:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.